Method: projects.locations.autoProtectionPolicies.bindings.list

Returns the auto protection policy bindings read from the CCFE tables.

HTTP request


GET https://backupdr.googleapis.com/v1beta/{parent=projects/*/locations/*/autoProtectionPolicies/*}/bindings

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The project and location for which to retrieve the list of policies. Format: projects/{project}/locations/{location}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of policies to return in a single page. If unspecified, a server-default value will be used.

pageToken

string

Optional. A page token, received from a previous ListAutoProtectionPolicies call. Provide this to retrieve the subsequent page.

filter

string

Optional. A filter expression that filters resources listed in the response. The following fields are filterable:

orderBy

string

Optional. An expression that sorts the results in the response. The following fields are sortable:

Request body

The request body must be empty.

Response body

Response message for bindings.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "autoProtectionPolicyBindings": [
    {
      object (AutoProtectionPolicyBinding)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
autoProtectionPolicyBindings[]

object (AutoProtectionPolicyBinding)

A list of the AutoProtectionPolicyBindings resources found.

nextPageToken

string

A token that can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

unreachable[]

string

Unordered list. Locations that could not be reached.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/cloud-backupdr

For more information, see the Authentication Overview.